Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::BoundSlot5_6< R, P1, P2, P3, P4, P5, P6 > Class Template Reference

Converts a slot taking six arguments into a slot taking five arguments. More...

`#include <inti/bind.h>`

Inheritance diagram for Inti::BoundSlot5_6< R, P1, P2, P3, P4, P5, P6 >:

List of all members.

## Public Member Functions

- BoundSlot5_6 (Slot6< R, P1, P2, P3, P4, P5, P6 > *slot, P6 p6)
    Constructor.
- virtual ~BoundSlot5_6 ()
    Destructor.
- virtual R call (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5) const
    Calls the original slot passing it arguments p1, p2, p3, p4 and p5, and the bound argument p as the last parameter.

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
class Inti::BoundSlot5_6< R, P1, P2, P3, P4, P5, P6 >

Converts a slot taking six arguments into a slot taking five arguments.

## Constructor & Destructor Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
Inti::BoundSlot5_6< R, P1, P2, P3, P4, P5, P6 >::BoundSlot5_6 | ( | Slot6< R, P1, P2, P3, P4, P5, P6 > * | slot,
|  | P6 | p6
| ) | `[inline]`

Constructor.

Parameters:

  slot | A pointer to a slot of type Slot1<R, P1, P2, P3, P4, P5, P6>.
  p6 | A bound argument of type P6

The documentation for this class was generated from the following file:

- bind.h

Main Page - Footer